marketpress update cannot remove old version of the plugin

When I auto update the new marketpress version I get an error message that says I cannot delete the old version of the plugin.